package com.community.huiju.exception;


import lombok.Data;

/**
 * @author weiximei
 */
@Data
public class WisdomException extends RuntimeException {

    private String mes;

    private Integer code;

    public WisdomException(String msg, Throwable t) {
        super(msg, t);
    }

    public WisdomException(Integer code,String msg, Throwable t) {
        super(msg, t);
        this.mes = msg;
        this.code = code;
    }

    public WisdomException(Integer code,String msg) {
        super(msg);
        this.mes = msg;
        this.code = code;
    }

    public WisdomException(String msg) {
        super(msg);
    }
}
